Linux MINT 18 MATE (initramfs) /cow format specified as aufs and no support found

Bug #1602683 reported by Cyberbob on 2016-07-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Systemback
Undecided
Unassigned

Bug Description

Dear Kendek,

Linux MINT 18 MATE, official stable release fresh installed with all official update/upgrade.
Original mint 18 Kernel, any deep system modifications, Installed on a REAL SYSTEM, not in Virtual machine!!

Systemback installed with:
sudo add-apt-repository ppa:nemh/systemback
sudo apt-get update
sudo apt-get install systemback

The ISO Live system, gives this error:

“BusyBox v1.22.1 (Ubuntu 1:1.22.0-15ubuntu1) built-in shell (ash)
Enter help for a list of built-in commands.
(initramfs) /cow format specified as aufs and no support found”

In the past I solved with
“older” Casper version (140 instead of 140.2) and installing
sudo apt-get install unionfs-fuse
but in the Mint 18 repo, NO *fuse* or *aufs* pachage are present and found in Software manager!!

Could be the latest CASPER version in mint 18 the problem?

Kendek (nemh) wrote :

Yeah, this is a known problem. Please install the live-boot package and remove the casper. The live-boot is working well with Linux Mint.

Changed in systemback:
status: New → Confirmed
Zerdgel (zerdgel) wrote :

Hi Guys,

I was able to do a workaround for this error under Linux Mint 18 Cinnamon.

Error: "(initramfs) /cow format specified as aufs and no support found”

Since Casper 1.340 is not available in Synaptic, we can do a manual force install.

1. Download Casper 1.340 32x/64x here:
(Note: the link is for Trusty but tested to work with Xenial)
https://pkgs.org/ubuntu-14.04/ubuntu-main-amd64/casper_1.340_amd64.deb.html

2. Open file directory in Terminal and type:
sudo dpkg --force-all -i casper_1.340_amd64.deb

3. Synaptic gives you grayed out "Apply" button if you immediately perform a
"Lock Version" for Casper 1.340 which is our task. To avoid this..

Go to Synaptics and search for "casper".
You will see broken packages due to the force installation.
To resolve this, highlight "casper 1.340" --> "Package" --> "Force Version"
In the pop up choose "1.340(now)" --> "Force Version" --> "Mark" --> "Apply"
Close error pop-up "Could not apply changes! Fix broken packages first"
Navigate back to Package --> "Lock Version" --> "Apply" --> "OK"

Hope this helps! :D

Bob (bob434) wrote :

could you please explain what you mean by install the 'live boot'? I am having the same problem with systemback- same error message- I use linux mint 17

also How do you remove the casper?

Kendek (nemh) wrote :

The 'live-boot' is a package, just install it with the following command:

sudo apt-get install live-boot

and remove the 'casper' (as package):

sudo apt-get remove casper

Or using the Synaptic (with GUI), basically, all the same.
After these operations, create a new Systemback Live image.

Alexey (dj--alex) wrote :

live-boot is a bad program (or i don't know what to use it)
some people i hear can ignore dependecties and with errors with synaptic force installs casper 1,340 and libplymouth>= 0.8.0 but
but errors in Synaptic - is not normal state of system. and i not have success in any methods.
I requires program creating working ISO from installed new mint 18 system (with user files of course)

i tries 100 times in 2016 year this Systemback and every times it fails.

it's don't have install interface like in a remastersys/pinguybuilder program
No any INSTALL RELEASE key .

Cyberbob (fabiocasi) wrote :

Dear Alexey:

I have just do:
sudo apt-get update
sudo apt-get upgrade
sudo apt-get install live-boot
sudo apt-get remove casper
sudo reboot

Then you have to simply use the SYSTEMBACK program as usually, without any difference when casper was installed.
Please let me know if works.

Alexey (dj--alex) wrote :

Thanks for replying!

At least it works now.=)
Oh im waste about a 6 months, to know ubiquity cannot be used with Systemback.never and waiting a fix.
Im searching in all system links with name "install release" like this do Ubiquity/Remastersys

Creepy installer inside Systemback is works on all my created images.
I still use casper 1.340 in LM 18,1 (locked version) and casper 1.376 in ubuntu 16.04 for working with images
maybe live-boot too. (i don' remember which is used)

Installing with systemback... it doesn't have a slideshow with installer or etc like in ubuntu/mint official releases.

Hi guys!

I resolved with pressing Enter and after then press Ctrl + D.

Juan Gómez Carrillo (gcjuan) wrote :

As Luiz Fernando said on #8, pressing Enter and then Ctrl + D made the magic. Thanks Luiz Fernando, you're the fucking God ;)

scuti kr (krscuti) wrote :

Heeeeyy Luiz Fernando !!!

It makes the system works. Thank you, Thank you, Thank you !

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers